# Pretty

Display a pretty-formatted object.

- [ ] Focusable
- [ ] Container

## Example

The example below shows a pretty-formatted `dict`, but `Pretty` can display any Python object.

=== "Output"

    ```{.textual path="docs/examples/widgets/pretty.py"}
    ```

=== "pretty.py"

    ```python
    --8<-- "docs/examples/widgets/pretty.py"
    ```

## Reactive Attributes

This widget has no reactive attributes.

## Messages

This widget posts no messages.

## Bindings

This widget has no bindings.

## Component Classes

This widget has no component classes.

---


::: textual.widgets.Pretty
    options:
        heading_level: 2
